﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Windows.Forms;
using HeuristicLab.Analysis;
using HeuristicLab.Analysis.Views;
using HeuristicLab.MainForm;

namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
  [View("SlidingWindowBestSolutionCollectionHeatMapView")]
  [Content(typeof(HeatMap), false)]
  public partial class SlidingWindowBestSolutionsCollectionHeatMapView : HeatMapView {
    public SlidingWindowBestSolutionsCollectionHeatMapView() {
      InitializeComponent();

      var chartArea = chart.ChartAreas[0];
      chartArea.AxisX.Title = "Sliding window position";
      chartArea.AxisX.IsStartedFromZero = true;
      chartArea.AxisY.Title = "Best solution";
      chartArea.AxisY.IsReversed = true;
      chartArea.AxisY.IsStartedFromZero = true;
    }
  }
}
